@echo off
chcp 65001>NUL
rem setlocal && cd /D "%~dp0"
REM AYTO TO SCRIPT STREAM-ΑΡΕΙ ΤO ΒΙΝΤΕΟ ΣΤΟΝ ΚΑΤΑΛΟΓΟ ΠΟΥ ΒΡΙΣΚΕΣΤΕ ή ΤΗΝ ΠΗΓΗ ΜΕ udp PROTOCOL
REM ΤΑ SCRIPT ΕΙΝΑΙ ΜΕΡΟΣ ΤΟΥ gamelink.gr-ffmpeg-scripts.zip ΑΠΟ ΤΟ EL.GAMELINK.GR
REM Ακολουθεί το Url για να μάθετε περισσότερα ή να το κατεβάσετε. Καλά video editing!
REM 
REM https://el.gamelink.gr/blog/Pws-Mporeite-Na-Mikrynete-ta-Video-gia-tis-MkDocs-Selides-sas-me-to-ffmpeg/ 
REM 

echo.
rem η ip ειναι η διυθυνση της καρτας δικτυου του Η/Υ που τρεχεις το script
set outIP=127.0.0.1
set /p outIP=Γράψε την IP που θα ΕΚΠΕΜΠΕΙ η επιφάνεια εργασίας, π.χ. 192.168.0.3, αλλιώς Enter για default 127.0.0.1:
echo.

echo.
set "outPORT=21000"
set /p outPORT=Γράψε την Port που θα χρησιμοποιεί η ΕΚΠΟΜΠΗ, π.χ. 3000, αλλιώς Enter για default 21000:
echo.


:FF

echo.
echo Stream-άρω το "%~1" .. πάτα escape για να κλείσει.
echo.
call  ffmpeg -i "%~1"  -v 0 -vcodec mpeg4 -f mpegts udp://"%outIP%":"%outPORT%"
rem call ffmpeg -re -stream_loop -1 -i "%~1" -f rtsp -rtsp_transport tcp rtsp://"%outIP%":"%outPORT%"
rem call ffmpeg -i "%~1" -pix_fmt yuv420p -vsync 1 -threads 0 -vcodec libx264 -r 30 -g 60 -sc_threshold 0 -b:v 512k -bufsize 640k -maxrate 640k -preset veryfast -profile:v baseline -tune film -acodec aac -b:a 128k -ac 2 -ar 48000 -af "aresample=async=1:min_hard_comp=0.100000:first_pts=0" -bsf:v h264_mp4toannexb -f flv rtmp://"%outIP%":"%outPORT%"
rem call ffmpeg -i "%~1" -rtsp_transport tcp -c:v libx264 -preset ultrafast -tune zerolatency -b:v 500k -c:a aac -strict experimental -f rtsp rtsp://"%outIP%":"%outPORT%"


if %ERRORLEVEL% NEQ 0 (
		call vidCodeError.bat %errorlevel%
		shift
	) else (
		call vidCodeError.bat 0
		shift		
)
if "%~1" == "" goto End
goto FF

rem endlocal 

:End 
call vid0ends.bat
exit /b 0